package com.roseindia.student.services;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

public class StudentService implements InitializingBean, DisposableBean {
	String message;

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public void afterPropertiesSet() throws Exception {
		System.out.println(" After properties has been set : " + message);
	}

	public void destroy() throws Exception {
		System.out.println("Cleaned everything!!");
	}

}
